# ©python4csip.com
# ©Azhar Ansari
from tkinter import *
import csv
import os
file=open("main.csv","a")
file.close()
def close():
    win.destroy()
def credit():
    os.system("python credits.py")
def edit():
    os.system("python edit.py")
def delete():
    os.system("python delete.py")
def searchrec():
    os.system("python searchrec.py")
def addrec():
    os.system("python addrecord.py")
def mousewheel(event):## MouseWheel
    canvas.yview_scroll(int(-1*(event.delta/120)), "units")
def onscroll(axis, *args):## Scrollbar
    global canvas
    if axis == 'y-axis':
        canvas.yview(*args)
    else:
        assert False, f"axis {axis} is incorrect, use 'x-axis' or 'y-axis'"
def showall():
    global canvas
    win1=Tk()
    win1.title("CSV - Show all Records - python4csip.com")
    win1.geometry("360x340")
    win1.config(bg="black")
    win1.resizable(0,0)
    win1.iconbitmap("logo.ico")
    frame=Frame(win1)
    frame.pack()
    yscrollbar = Scrollbar(frame, orient='vertical',command=lambda *args: onscroll('y-axis', *args))
    yscrollbar.pack(side="right",anchor="w",fill="both")
    canvas=Canvas(frame,bg="black",width="350",height="300",scrollregion=(0, 0, 0, 2050),yscrollcommand=yscrollbar.set)
    canvas.pack()
    main_frame=Frame(canvas,bg="black")
    canvas.create_window((0,0),window=main_frame,anchor="nw")
    canvas.yview_scroll(100, "units")
    canvas.xview_scroll(100, "units")
    Label(main_frame,text="U.No.",bg="black",fg="white",font=("Georgia",12)).grid(row=0,column=0)
    Label(main_frame,text="Name",bg="black",fg="white",font=("Georgia",12)).grid(row=0,column=1,padx=30)
    Label(main_frame,text="Class",bg="black",fg="white",font=("Georgia",12)).grid(row=0,column=2,padx=30)
    Label(main_frame,text="Percentage",bg="black",fg="white",font=("Georgia",12)).grid(row=0,column=3)
    with open("main.csv") as file:
        read=csv.reader(file)
        count=0
        row_value=1
        try:
            total_percentage=0
        except:
            pass
        for i in read:
            Label(main_frame,text=i[0],bg="black",fg="white",font=("Georgia",12)).grid(row=row_value,column=0)
            Label(main_frame,text=i[1],bg="black",fg="white",font=("Georgia",12)).grid(row=row_value,column=1)
            Label(main_frame,text=i[2],bg="black",fg="white",font=("Georgia",12)).grid(row=row_value,column=2)
            Label(main_frame,text=i[3],bg="black",fg="white",font=("Georgia",12)).grid(row=row_value,column=3)
            row_value+=1
            count+=1
            total_percentage+=int(i[3])
    try:
        percentage=total_percentage/count
    except:
        percentage="N/A"
    Label(win1,text="Total Records - "+str(count)+"\nAverage Percentage - "+str(percentage),bg="black",fg="white").pack(anchor="s")
    win1.bind_all("<MouseWheel>",mousewheel)
    win1.mainloop()
win=Tk()
win.title("CSV - python4csip")
win.geometry("350x450")
win.config(bg="black")
win.resizable(0,0)
win.iconbitmap("logo.ico")
Label(win,text="CSV File Handling",bg="black",fg="white",font=("Georgia",16)).pack(pady=10)
b1=Button(win,text="Show all Records",bg="white",fg="red",border=5,relief="raise",font=("Georgia",13),width=20,command=showall)
b1.pack(pady=8)
b2=Button(win,text="Add Record",bg="white",fg="red",border=5,relief="raise",font=("Georgia",13),width=20,command=addrec)
b2.pack(pady=8)
b3=Button(win,text="Search Records",bg="white",fg="red",border=5,relief="raise",font=("Georgia",13),width=20,command=searchrec)
b3.pack(pady=8)
b4=Button(win,text="Edit Record",bg="white",fg="red",border=5,relief="raise",font=("Georgia",13),width=20,command=edit)
b4.pack(pady=8)
b5=Button(win,text="Delete Record",bg="white",fg="red",border=5,relief="raise",font=("Georgia",13),width=20,command=delete)
b5.pack(pady=8)
b6=Button(win,text="Credits",bg="white",fg="red",border=5,relief="raise",font=("Georgia",13),width=20,command=credit)
b6.pack(pady=8)
b7=Button(win,text="Quit",bg="white",fg="red",border=5,relief="raise",font=("Georgia",13),width=20,command=close)
b7.pack(pady=8)
win.mainloop()
